QGIS Application - Bug report #15360
WFS don't conserve username and password
2016-07-28 08:37 AM - Pascal Obstétar

Status: Closed

Priority: Severe/Regression

Assignee: Alessandro Pasotti

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23292
Description

When you use wfs connection and would store id and password, qgis conserve just id but not the password and the connection could not
be ?

Associated revisions

Revision f49bd5ca - 2016-08-09 09:24 AM - Alessandro Pasotti

[WFS] Fixes #15360 and other issues

- fixes authcfg params not passed to requests

- fixes backward URI compatibility

- fixes version parameter ignored in old style URI

- check for "user" in addition to "username” in WFS URI

Revision 43274b11 - 2016-08-09 10:06 AM - Alessandro Pasotti

Merge pull request #3368 from elpaso/wfs_fixes

Try to fix #15360

Revision 5e71dfa4 - 2016-08-09 10:24 AM - Alessandro Pasotti
[WFS] Fixes #15360 and other issues
- fixes authcfg params not passed to requests
- fixes backward URI compatibility
- fixes version parameter ignored in old style URI
- check for "user" in addition to "username" in WFS URI
(cherry-picked from f49bd5ca449e332aa547f9dac31b391e438d2b31)
Revision 56400b14 - 2016-08-09 10:45 AM - Alessandro Pasotti

[WFS] Fixes #15360 and other issues

- fixes authcfg params not passed to requests
- fixes backward URI compatibility
- fixes version parameter ignored in old style URI
- check for "user" in addition to "username" in WFS URI
(cherry-picked from f49bd5ca449e332aa547f9dac31b391e438d2b31)

Revision ¢80e5d13 - 2017-01-17 01:57 PM - Alessandro Pasotti

[bugfix] Fixes WFS HTTP auth basic username/password

Fixes #15360 and #15597

Revision 5daaf942 - 2017-01-17 02:02 PM - Alessandro Pasotti

[bugdfix] Fixes WFS HTTP auth basic username/password

Fixes #15360 and #15597

History

#1 - 2016-08-02 01:37 AM - Giovanni Manghi
- Subject changed from WFS don't conserve id and password to WFS don't conserve username and password

So this seems to be #6609 all over again.

#2 - 2016-08-08 05:18 AM - Alessandro Pasotti

Confirmed with master_2 and 2.16.

This is a severe regression and breaks most of our PKI authentication tests for WFS provider.

The problem might originate from https://github.com/qgis/QGIS/blob/master_2/src/providers/wfs/qgswfsdatasourceuri.cpp#L 48 that discards all auth

information to store them in a QgsWFSAuthorization class.

When the requestCapabilities request is done in https://github.com/qgis/QGIS/blob/master_2/src/providers/wfs/qgswfsrequest.cpp#L104 the auth fields

are blank and no authorization is sent.

All getCapabilities.requestCapabilities should also be checked, for example:
QgsWFSConnectionltem::createChildren()

In general, all calls to QgsWFSDataSourceURI::uri() are probably broken as far as authentication is concerned.

#3 - 2016-08-08 06:29 AM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#4 - 2016-08-09 01:07 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"43274b11b854855e8580f1744ea6c8738c0d4a94".
https://github.com/qgis/QGIS/blob/master_2/src/providers/wfs/qgswfsdatasourceuri.cpp#L48
https://github.com/qgis/QGIS/blob/master_2/src/providers/wfs/qgswfsrequest.cpp#L104

#5 - 2016-09-21 05:42 AM - Giovanni Manghi

- Target version changed from Version 2.16 to Version 2.18
- Affected QGIS version changed from 2.16.0 to master_2

- Operating System deleted (linux ubuntu)

- Status changed from Closed to Reopened

Still true for username (not password), also on master.

#6 - 2017-01-17 02:33 AM - Giovanni Manghi
- OS version deleted (16.04)
- Affected QGIS version changed from master_2 to master

Still true on master.

#7 - 2017-01-17 04:58 AM - Anonymous

- Status changed from Reopened to Closed

Fixed in changeset commit:"c80e5d131d676f7ee73b3a943d30c034aa33db5e".
